Bug 256077 - sysutils/duf breaks build
Summary: sysutils/duf breaks build
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lewis Cook
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-22 10:35 UTC by Sigi
Modified: 2021-05-30 07:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lcook)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sigi 2021-05-22 10:35:42 UTC
To me it looks like non-standard distfile gathering

make
===>  License MIT accepted by the user
===>   duf-0.6.2_1 depends on file: /usr/local/sbin/pkg - found
===>   duf-0.6.2_1 depends on file: /usr/local/bin/go - found
===>   duf-0.6.2_1 depends on package: ca_root_nss>0 - found
===> Fetching all distfiles required by duf-0.6.2_1 for building
===> Fetching github.com/muesli/duf dependencies
===>  Extracting for duf-0.6.2_1
=> SHA256 Checksum OK for go/sysutils_duf/duf-v0.6.2/v0.6.2.mod.
=> SHA256 Checksum OK for go/sysutils_duf/duf-v0.6.2/v0.6.2.zip.
go: finding module for package github.com/lucasb-eyer/go-colorful
github.com/muesli/duf imports
	github.com/muesli/termenv imports
	github.com/lucasb-eyer/go-colorful: cannot find module providing package github.com/lucasb-eyer/go-colorful: module lookup disabled by GOPROXY=off
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/sysutils/duf
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/duf
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2021-05-23 19:12:14 UTC
(In reply to Sigi from comment #0)
I can't seem to replicate this locally, in Poudriere or have received any pkg-fallout emails indicating your issue. 
 
pts/1 duf$ make
===>  License MIT accepted by the user
===>   duf-0.6.2_1 depends on file: /usr/local/sbin/pkg - found
===>   duf-0.6.2_1 depends on file: /usr/local/bin/go - found
===>   duf-0.6.2_1 depends on package: ca_root_nss>0 - found
===> Fetching all distfiles required by duf-0.6.2_1 for building
===> Fetching github.com/muesli/duf dependencies
===>  Extracting for duf-0.6.2_1
=> SHA256 Checksum OK for go/sysutils_duf/duf-v0.6.2/v0.6.2.mod.
=> SHA256 Checksum OK for go/sysutils_duf/duf-v0.6.2/v0.6.2.zip.
===>  Patching for duf-0.6.2_1
===>   duf-0.6.2_1 depends on file: /usr/local/bin/go - found
===>  Configuring for duf-0.6.2_1
===>  Building for duf-0.6.2_1
--- truncated ---

Not so long ago, I switched the port over to GO_MODULES[1] to reduce the dependency boilerplate.  Are you building in a clean environment and up to date with the latest changes?

[1] https://reviews.freebsd.org/D28184
Comment 2 Sigi 2021-05-23 19:53:01 UTC
Found this rebuilding all ports after going to stable-13.
I am still on the portmaster track. But anyway also the classical make in  /usr/ports/sysutils/duf fails.

But for me the the message seems to be clear and i never did something with GOPROXY  and i think when i go and search after this setting it would work. And it look that this is a circumvent to the classical download to distfile and compile..